package com.sd.mq.entity;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class ArtworkMessage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 图片url地址
     */
    private String imgUrl;

    /**
     * 图片保存地址
     */
    private String imgPath;

    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 文件保存地址
     */
    private String filePath;

    /**
     * 重试次数
     */
    private int retryCount;

    /**
     * 类型： 1新增 2删除
     */
    private int type;

    /**
     * 删除文件夹
     */
    private String deleteDirectory;

}
