package com.sd.mq.util;

import cn.hutool.extra.spring.SpringUtil;
import org.springframework.amqp.rabbit.core.RabbitTemplate;

public class RabbitMqUtil {

    private static final RabbitTemplate rabbitTemplate = SpringUtil.getBean(RabbitTemplate.class);

    /**
     * 发送消息
     */
    public static void send(String exchange, String routingKey, Object object) {
        rabbitTemplate.convertAndSend(exchange, routingKey, object);
    }

}
